#!/usr/bin/env bash

set -e -o noclobber -o pipefail

sudo apt install --no-install-recommends --assume-yes \
  libvirt0 \
  libvirt-clients \
  libvirt-clients-qemu \
  libvirt-daemon \
  libvirt-daemon-config-network \
  libvirt-daemon-driver-qemu \
  libvirt-daemon-system \
  libvirt-daemon-system-systemd \
  libvirt-dev \
  vagrant \
  vagrant-libvirt

./.venv/bin/python3 -m pip install --upgrade -r requirements-dev.txt
[ -d /etc/nftables.d ] || sudo mkdir /etc/nftables.d

sudo tee /etc/nftables.d/vagrant.nft <<'EOF' > /dev/null
define virt_if = { "virbr0", "virbr1", "virbr2" }

table inet filter {
    chain input {
        iifname $virt_if accept
    }
    chain output {
        oifname $virt_if accept
    }
}
EOF

sudo /usr/sbin/nft -f /etc/nftables.d/vagrant.nft
